var Globalize = require('globalize');

Globalize.load({
    'main': {
        'ru': {
            'identity': {
                'version': {
                    '_cldrVersion': '28',
                    '_number': '$Revision: 11974 $'
                },
                'language': 'ru'
            },
            'dates': {
                'calendars': {
                    'gregorian': {
                        'months': {
                            'format': {
                                'abbreviated': {
                                    '1': 'янв.',
                                    '2': 'февр.',
                                    '3': 'мар.',
                                    '4': 'апр.',
                                    '5': 'мая',
                                    '6': 'июн.',
                                    '7': 'июл.',
                                    '8': 'авг.',
                                    '9': 'сент.',
                                    '10': 'окт.',
                                    '11': 'нояб.',
                                    '12': 'дек.'
                                },
                                'narrow': {
                                    '1': 'Я',
                                    '2': 'Ф',
                                    '3': 'М',
                                    '4': 'А',
                                    '5': 'М',
                                    '6': 'И',
                                    '7': 'И',
                                    '8': 'А',
                                    '9': 'С',
                                    '10': 'О',
                                    '11': 'Н',
                                    '12': 'Д'
                                },
                                'wide': {
                                    '1': 'января',
                                    '2': 'февраля',
                                    '3': 'марта',
                                    '4': 'апреля',
                                    '5': 'мая',
                                    '6': 'июня',
                                    '7': 'июля',
                                    '8': 'августа',
                                    '9': 'сентября',
                                    '10': 'октября',
                                    '11': 'ноября',
                                    '12': 'декабря'
                                }
                            },
                            'stand-alone': {
                                'abbreviated': {
                                    '1': 'янв.',
                                    '2': 'февр.',
                                    '3': 'март',
                                    '4': 'апр.',
                                    '5': 'май',
                                    '6': 'июнь',
                                    '7': 'июль',
                                    '8': 'авг.',
                                    '9': 'сент.',
                                    '10': 'окт.',
                                    '11': 'нояб.',
                                    '12': 'дек.'
                                },
                                'narrow': {
                                    '1': 'Я',
                                    '2': 'Ф',
                                    '3': 'М',
                                    '4': 'А',
                                    '5': 'М',
                                    '6': 'И',
                                    '7': 'И',
                                    '8': 'А',
                                    '9': 'С',
                                    '10': 'О',
                                    '11': 'Н',
                                    '12': 'Д'
                                },
                                'wide': {
                                    '1': 'январь',
                                    '2': 'февраль',
                                    '3': 'март',
                                    '4': 'апрель',
                                    '5': 'май',
                                    '6': 'июнь',
                                    '7': 'июль',
                                    '8': 'август',
                                    '9': 'сентябрь',
                                    '10': 'октябрь',
                                    '11': 'ноябрь',
                                    '12': 'декабрь'
                                }
                            }
                        },
                        'days': {
                            'format': {
                                'abbreviated': {
                                    'sun': 'вс',
                                    'mon': 'пн',
                                    'tue': 'вт',
                                    'wed': 'ср',
                                    'thu': 'чт',
                                    'fri': 'пт',
                                    'sat': 'сб'
                                },
                                'narrow': {
                                    'sun': 'вс',
                                    'mon': 'пн',
                                    'tue': 'вт',
                                    'wed': 'ср',
                                    'thu': 'чт',
                                    'fri': 'пт',
                                    'sat': 'сб'
                                },
                                'short': {
                                    'sun': 'вс',
                                    'mon': 'пн',
                                    'tue': 'вт',
                                    'wed': 'ср',
                                    'thu': 'чт',
                                    'fri': 'пт',
                                    'sat': 'сб'
                                },
                                'wide': {
                                    'sun': 'воскресенье',
                                    'mon': 'понедельник',
                                    'tue': 'вторник',
                                    'wed': 'среда',
                                    'thu': 'четверг',
                                    'fri': 'пятница',
                                    'sat': 'суббота'
                                }
                            },
                            'stand-alone': {
                                'abbreviated': {
                                    'sun': 'вс',
                                    'mon': 'пн',
                                    'tue': 'вт',
                                    'wed': 'ср',
                                    'thu': 'чт',
                                    'fri': 'пт',
                                    'sat': 'сб'
                                },
                                'narrow': {
                                    'sun': 'В',
                                    'mon': 'П',
                                    'tue': 'В',
                                    'wed': 'С',
                                    'thu': 'Ч',
                                    'fri': 'П',
                                    'sat': 'С'
                                },
                                'short': {
                                    'sun': 'вс',
                                    'mon': 'пн',
                                    'tue': 'вт',
                                    'wed': 'ср',
                                    'thu': 'чт',
                                    'fri': 'пт',
                                    'sat': 'сб'
                                },
                                'wide': {
                                    'sun': 'воскресенье',
                                    'mon': 'понедельник',
                                    'tue': 'вторник',
                                    'wed': 'среда',
                                    'thu': 'четверг',
                                    'fri': 'пятница',
                                    'sat': 'суббота'
                                }
                            }
                        },
                        'quarters': {
                            'format': {
                                'abbreviated': {
                                    '1': '1-й кв.',
                                    '2': '2-й кв.',
                                    '3': '3-й кв.',
                                    '4': '4-й кв.'
                                },
                                'narrow': {
                                    '1': '1',
                                    '2': '2',
                                    '3': '3',
                                    '4': '4'
                                },
                                'wide': {
                                    '1': '1-й квартал',
                                    '2': '2-й квартал',
                                    '3': '3-й квартал',
                                    '4': '4-й квартал'
                                }
                            },
                            'stand-alone': {
                                'abbreviated': {
                                    '1': '1-й кв.',
                                    '2': '2-й кв.',
                                    '3': '3-й кв.',
                                    '4': '4-й кв.'
                                },
                                'narrow': {
                                    '1': '1',
                                    '2': '2',
                                    '3': '3',
                                    '4': '4'
                                },
                                'wide': {
                                    '1': '1-й квартал',
                                    '2': '2-й квартал',
                                    '3': '3-й квартал',
                                    '4': '4-й квартал'
                                }
                            }
                        },
                        'dayPeriods': {
                            'format': {
                                'abbreviated': {
                                    'midnight': 'полночь',
                                    'am': 'ДП',
                                    'noon': 'полдень',
                                    'pm': 'ПП',
                                    'morning1': 'утра',
                                    'afternoon1': 'дня',
                                    'evening1': 'вечера',
                                    'night1': 'ночи'
                                },
                                'narrow': {
                                    'midnight': 'полночь',
                                    'am': 'ДП',
                                    'noon': 'полдень',
                                    'pm': 'ПП',
                                    'morning1': 'утра',
                                    'afternoon1': 'дня',
                                    'evening1': 'вечера',
                                    'night1': 'ночи'
                                },
                                'wide': {
                                    'midnight': 'полночь',
                                    'am': 'ДП',
                                    'noon': 'полдень',
                                    'pm': 'ПП',
                                    'morning1': 'утра',
                                    'afternoon1': 'дня',
                                    'evening1': 'вечера',
                                    'night1': 'ночи'
                                }
                            },
                            'stand-alone': {
                                'abbreviated': {
                                    'midnight': 'полн.',
                                    'am': 'ДП',
                                    'noon': 'полд.',
                                    'pm': 'ПП',
                                    'morning1': 'утро',
                                    'afternoon1': 'день',
                                    'evening1': 'веч.',
                                    'night1': 'ночь'
                                },
                                'narrow': {
                                    'midnight': 'полн.',
                                    'am': 'ДП',
                                    'noon': 'полд.',
                                    'pm': 'ПП',
                                    'morning1': 'утро',
                                    'afternoon1': 'день',
                                    'evening1': 'веч.',
                                    'night1': 'ночь'
                                },
                                'wide': {
                                    'midnight': 'полночь',
                                    'am': 'ДП',
                                    'noon': 'полдень',
                                    'pm': 'ПП',
                                    'morning1': 'утро',
                                    'afternoon1': 'день',
                                    'evening1': 'вечер',
                                    'night1': 'ночь'
                                }
                            }
                        },
                        'eras': {
                            'eraNames': {
                                '0': 'до Рождества Христова',
                                '0-alt-variant': 'до нашей эры',
                                '1': 'от Рождества Христова',
                                '1-alt-variant': 'нашей эры'
                            },
                            'eraAbbr': {
                                '0': 'до н. э.',
                                '0-alt-variant': 'BCE',
                                '1': 'н. э.',
                                '1-alt-variant': 'CE'
                            },
                            'eraNarrow': {
                                '0': 'до н.э.',
                                '0-alt-variant': 'BCE',
                                '1': 'н.э.',
                                '1-alt-variant': 'CE'
                            }
                        },
                        'dateFormats': {
                            'full': 'EEEE, d MMMM y \'г\'.',
                            'long': 'd MMMM y \'г\'.',
                            'medium': 'd MMM y \'г\'.',
                            'short': 'dd.MM.yy'
                        },
                        'timeFormats': {
                            'full': 'H:mm:ss zzzz',
                            'long': 'H:mm:ss z',
                            'medium': 'H:mm:ss',
                            'short': 'H:mm'
                        },
                        'dateTimeFormats': {
                            'full': '{1}, {0}',
                            'long': '{1}, {0}',
                            'medium': '{1}, {0}',
                            'short': '{1}, {0}',
                            'availableFormats': {
                                'd': 'd',
                                'E': 'ccc',
                                'Ed': 'ccc, d',
                                'Ehm': 'E h:mm a',
                                'EHm': 'E HH:mm',
                                'Ehms': 'E h:mm:ss a',
                                'EHms': 'E HH:mm:ss',
                                'Gy': 'y \'г\'. G',
                                'GyMMM': 'LLL y G',
                                'GyMMMd': 'd MMM y \'г\'. G',
                                'GyMMMEd': 'E, d MMM y \'г\'. G',
                                'h': 'h a',
                                'H': 'H',
                                'hm': 'h:mm a',
                                'Hm': 'H:mm',
                                'hms': 'h:mm:ss a',
                                'Hms': 'H:mm:ss',
                                'hmsv': 'h:mm:ss a v',
                                'Hmsv': 'H:mm:ss v',
                                'hmv': 'h:mm a v',
                                'Hmv': 'H:mm v',
                                'M': 'L',
                                'Md': 'dd.MM',
                                'MEd': 'E, dd.MM',
                                'MMdd': 'dd.MM',
                                'MMM': 'LLL',
                                'MMMd': 'd MMM',
                                'MMMEd': 'ccc, d MMM',
                                'MMMMd': 'd MMMM',
                                'ms': 'mm:ss',
                                'y': 'y',
                                'yM': 'MM.y',
                                'yMd': 'dd.MM.y',
                                'yMEd': 'ccc, d.MM.y \'г\'.',
                                'yMM': 'MM.y',
                                'yMMM': 'LLL y \'г\'.',
                                'yMMMd': 'd MMM y \'г\'.',
                                'yMMMEd': 'E, d MMM y \'г\'.',
                                'yMMMM': 'LLLL y \'г\'.',
                                'yQQQ': 'QQQ y \'г\'.',
                                'yQQQQ': 'QQQQ y \'г\'.'
                            },
                            'appendItems': {
                                'Day': '{0} ({2}: {1})',
                                'Day-Of-Week': '{0} {1}',
                                'Era': '{1} {0}',
                                'Hour': '{0} ({2}: {1})',
                                'Minute': '{0} ({2}: {1})',
                                'Month': '{0} ({2}: {1})',
                                'Quarter': '{0} ({2}: {1})',
                                'Second': '{0} ({2}: {1})',
                                'Timezone': '{0} {1}',
                                'Week': '{0} ({2}: {1})',
                                'Year': '{1} {0}'
                            },
                            'intervalFormats': {
                                'intervalFormatFallback': '{0} - {1}',
                                'd': {
                                    'd': 'd–d'
                                },
                                'h': {
                                    'a': 'h a – h a',
                                    'h': 'h–h a'
                                },
                                'H': {
                                    'H': 'H–H'
                                },
                                'hm': {
                                    'a': 'h:mm a – h:mm a',
                                    'h': 'h:mm–h:mm a',
                                    'm': 'h:mm–h:mm a'
                                },
                                'Hm': {
                                    'H': 'H:mm–H:mm',
                                    'm': 'H:mm–H:mm'
                                },
                                'hmv': {
                                    'a': 'h:mm a – h:mm a v',
                                    'h': 'h:mm–h:mm a v',
                                    'm': 'h:mm–h:mm a v'
                                },
                                'Hmv': {
                                    'H': 'H:mm–H:mm v',
                                    'm': 'H:mm–H:mm v'
                                },
                                'hv': {
                                    'a': 'h a – h a v',
                                    'h': 'h–h a v'
                                },
                                'Hv': {
                                    'H': 'H–H v'
                                },
                                'M': {
                                    'M': 'M–M'
                                },
                                'Md': {
                                    'd': 'dd.MM – dd.MM',
                                    'M': 'dd.MM – dd.MM'
                                },
                                'MEd': {
                                    'd': 'E, dd.MM – E, dd.MM',
                                    'M': 'E, dd.MM – E, dd.MM'
                                },
                                'MMM': {
                                    'M': 'LLL – LLL'
                                },
                                'MMMd': {
                                    'd': 'd–d MMM',
                                    'M': 'd MMM – d MMM'
                                },
                                'MMMEd': {
                                    'd': 'E, d MMM – E, d MMM',
                                    'M': 'E, d MMM – E, d MMM'
                                },
                                'MMMM': {
                                    'M': 'LLLL – LLLL'
                                },
                                'y': {
                                    'y': 'y–y'
                                },
                                'yM': {
                                    'M': 'MM.y – MM.y',
                                    'y': 'MM.y – MM.y'
                                },
                                'yMd': {
                                    'd': 'dd.MM.y – dd.MM.y',
                                    'M': 'dd.MM.y – dd.MM.y',
                                    'y': 'dd.MM.y – dd.MM.y'
                                },
                                'yMEd': {
                                    'd': 'ccc, dd.MM.y – ccc, dd.MM.y',
                                    'M': 'ccc, dd.MM.y – ccc, dd.MM.y',
                                    'y': 'ccc, dd.MM.y – ccc, dd.MM.y'
                                },
                                'yMMM': {
                                    'M': 'LLL–LLL y \'г\'.',
                                    'y': 'LLL y – LLL y \'г\'.'
                                },
                                'yMMMd': {
                                    'd': 'd–d MMM y \'г\'.',
                                    'M': 'd MMM – d MMM y \'г\'.',
                                    'y': 'd MMM y – d MMM y \'г\'.'
                                },
                                'yMMMEd': {
                                    'd': 'ccc, d – ccc, d MMM y \'г\'.',
                                    'M': 'ccc, d MMM – ccc, d MMM y \'г\'.',
                                    'y': 'ccc, d MMM y – ccc, d MMM y \'г\'.'
                                },
                                'yMMMM': {
                                    'M': 'LLLL–LLLL y \'г\'.',
                                    'y': 'LLLL y – LLLL y \'г\'.'
                                }
                            }
                        }
                    }
                }
            }
        }
    }
});
