var Globalize = require('globalize');

Globalize.load({
    'main': {
        'ru': {
            'identity': {
                'version': {
                    '_cldrVersion': '28',
                    '_number': '$Revision: 11974 $'
                },
                'language': 'ru'
            },
            'numbers': {
                'currencies': {
                    'ADP': {
                        'displayName': 'Андоррская песета',
                        'displayName-count-one': 'андоррская песета',
                        'displayName-count-few': 'андоррские песеты',
                        'displayName-count-many': 'андоррская песета',
                        'displayName-count-other': 'андоррских песет',
                        'symbol': 'ADP'
                    },
                    'AED': {
                        'displayName': 'Дирхам ОАЭ',
                        'displayName-count-one': 'дирхам ОАЭ',
                        'displayName-count-few': 'дирхама ОАЭ',
                        'displayName-count-many': 'дирхамов ОАЭ',
                        'displayName-count-other': 'дирхама ОАЭ',
                        'symbol': 'AED'
                    },
                    'AFA': {
                        'displayName': 'Афгани (1927–2002)',
                        'symbol': 'AFA'
                    },
                    'AFN': {
                        'displayName': 'Афганский афгани',
                        'displayName-count-one': 'афганский афгани',
                        'displayName-count-few': 'афганских афгани',
                        'displayName-count-many': 'афганских афгани',
                        'displayName-count-other': 'афганского афгани',
                        'symbol': 'AFN'
                    },
                    'ALL': {
                        'displayName': 'Албанский лек',
                        'displayName-count-one': 'албанский лек',
                        'displayName-count-few': 'албанских лека',
                        'displayName-count-many': 'албанских леков',
                        'displayName-count-other': 'албанских леков',
                        'symbol': 'ALL'
                    },
                    'AMD': {
                        'displayName': 'Армянский драм',
                        'displayName-count-one': 'армянский драм',
                        'displayName-count-few': 'армянских драма',
                        'displayName-count-many': 'армянских драмов',
                        'displayName-count-other': 'армянского драма',
                        'symbol': 'AMD'
                    },
                    'ANG': {
                        'displayName': 'Нидерландский антильский гульден',
                        'displayName-count-one': 'нидерландский антильский гульден',
                        'displayName-count-few': 'нидерландских антильских гульдена',
                        'displayName-count-many': 'нидерландских антильских гульденов',
                        'displayName-count-other': 'нидерландского антильского гульдена',
                        'symbol': 'ANG'
                    },
                    'AOA': {
                        'displayName': 'Ангольская кванза',
                        'displayName-count-one': 'ангольская кванза',
                        'displayName-count-few': 'ангольские кванзы',
                        'displayName-count-many': 'ангольских кванз',
                        'displayName-count-other': 'ангольской кванзы',
                        'symbol': 'AOA',
                        'symbol-alt-narrow': 'Kz'
                    },
                    'AOK': {
                        'displayName': 'Ангольская кванза (1977–1990)',
                        'displayName-count-one': 'ангольских кванз (1977–1991)',
                        'displayName-count-few': 'ангольские кванзы (1977–1991)',
                        'displayName-count-many': 'ангольских кванз (1977–1991)',
                        'displayName-count-other': 'ангольских кванз (1977–1991)',
                        'symbol': 'AOK'
                    },
                    'AON': {
                        'displayName': 'Ангольская новая кванза (1990–2000)',
                        'symbol': 'AON'
                    },
                    'AOR': {
                        'displayName': 'Ангольская кванза реюстадо (1995–1999)',
                        'displayName-count-one': 'ангольских кванз реюстадо (1995–1999)',
                        'displayName-count-few': 'ангольские кванзы реюстадо (1995–1999)',
                        'displayName-count-many': 'ангольских кванз реюстадо (1995–1999)',
                        'displayName-count-other': 'ангольских кванз реюстадо (1995–1999)',
                        'symbol': 'AOR'
                    },
                    'ARA': {
                        'displayName': 'Аргентинский аустрал',
                        'symbol': 'ARA'
                    },
                    'ARL': {
                        'displayName': 'ARL',
                        'symbol': 'ARL'
                    },
                    'ARM': {
                        'displayName': 'ARM',
                        'symbol': 'ARM'
                    },
                    'ARP': {
                        'displayName': 'Аргентинское песо (1983–1985)',
                        'symbol': 'ARP'
                    },
                    'ARS': {
                        'displayName': 'Аргентинское песо',
                        'displayName-count-one': 'аргентинское песо',
                        'displayName-count-few': 'аргентинских песо',
                        'displayName-count-many': 'аргентинских песо',
                        'displayName-count-other': 'аргентинского песо',
                        'symbol': 'ARS',
                        'symbol-alt-narrow': '$'
                    },
                    'ATS': {
                        'displayName': 'Австрийский шиллинг',
                        'symbol': 'ATS'
                    },
                    'AUD': {
                        'displayName': 'Австралийский доллар',
                        'displayName-count-one': 'австралийский доллар',
                        'displayName-count-few': 'австралийских доллара',
                        'displayName-count-many': 'австралийских долларов',
                        'displayName-count-other': 'австралийского доллара',
                        'symbol': 'A$',
                        'symbol-alt-narrow': '$'
                    },
                    'AWG': {
                        'displayName': 'Арубанский флорин',
                        'displayName-count-one': 'арубанский флорин',
                        'displayName-count-few': 'арубанских флорина',
                        'displayName-count-many': 'арубанских флоринов',
                        'displayName-count-other': 'арубанского флорина',
                        'symbol': 'AWG'
                    },
                    'AZM': {
                        'displayName': 'Старый азербайджанский манат',
                        'symbol': 'AZM'
                    },
                    'AZN': {
                        'displayName': 'Азербайджанский манат',
                        'displayName-count-one': 'азербайджанский манат',
                        'displayName-count-few': 'азербайджанских маната',
                        'displayName-count-many': 'азербайджанских манатов',
                        'displayName-count-other': 'азербайджанского маната',
                        'symbol': 'AZN'
                    },
                    'BAD': {
                        'displayName': 'Динар Боснии и Герцеговины',
                        'symbol': 'BAD'
                    },
                    'BAM': {
                        'displayName': 'Конвертируемая марка Боснии и Герцеговины',
                        'displayName-count-one': 'конвертируемая марка Боснии и Герцеговины',
                        'displayName-count-few': 'конвертируемые марки Боснии и Герцеговины',
                        'displayName-count-many': 'конвертируемых марок Боснии и Герцеговины',
                        'displayName-count-other': 'конвертируемой марки Боснии и Герцеговины',
                        'symbol': 'BAM',
                        'symbol-alt-narrow': 'KM'
                    },
                    'BAN': {
                        'displayName': 'BAN',
                        'symbol': 'BAN'
                    },
                    'BBD': {
                        'displayName': 'Барбадосский доллар',
                        'displayName-count-one': 'барбадосский доллар',
                        'displayName-count-few': 'барбадосских доллара',
                        'displayName-count-many': 'барбадосских долларов',
                        'displayName-count-other': 'барбадосского доллара',
                        'symbol': 'BBD',
                        'symbol-alt-narrow': '$'
                    },
                    'BDT': {
                        'displayName': 'Бангладешская така',
                        'displayName-count-one': 'бангладешская така',
                        'displayName-count-few': 'бангладешских таки',
                        'displayName-count-many': 'бангладешских так',
                        'displayName-count-other': 'бангладешской таки',
                        'symbol': 'BDT',
                        'symbol-alt-narrow': '৳'
                    },
                    'BEC': {
                        'displayName': 'Бельгийский франк (конвертируемый)',
                        'symbol': 'BEC'
                    },
                    'BEF': {
                        'displayName': 'Бельгийский франк',
                        'symbol': 'BEF'
                    },
                    'BEL': {
                        'displayName': 'Бельгийский франк (финансовый)',
                        'symbol': 'BEL'
                    },
                    'BGL': {
                        'displayName': 'Лев',
                        'symbol': 'BGL'
                    },
                    'BGM': {
                        'displayName': 'BGM',
                        'symbol': 'BGM'
                    },
                    'BGN': {
                        'displayName': 'Болгарский лев',
                        'displayName-count-one': 'болгарский лев',
                        'displayName-count-few': 'болгарских лева',
                        'displayName-count-many': 'болгарских левов',
                        'displayName-count-other': 'болгарского лева',
                        'symbol': 'BGN'
                    },
                    'BGO': {
                        'displayName': 'BGO',
                        'symbol': 'BGO'
                    },
                    'BHD': {
                        'displayName': 'Бахрейнский динар',
                        'displayName-count-one': 'бахрейнский динар',
                        'displayName-count-few': 'бахрейнских динара',
                        'displayName-count-many': 'бахрейнских динаров',
                        'displayName-count-other': 'бахрейнского динара',
                        'symbol': 'BHD'
                    },
                    'BIF': {
                        'displayName': 'Бурундийский франк',
                        'displayName-count-one': 'бурундийский франк',
                        'displayName-count-few': 'бурундийских франка',
                        'displayName-count-many': 'бурундийских франков',
                        'displayName-count-other': 'бурундийского франка',
                        'symbol': 'BIF'
                    },
                    'BMD': {
                        'displayName': 'Бермудский доллар',
                        'displayName-count-one': 'бермудский доллар',
                        'displayName-count-few': 'бермудских доллара',
                        'displayName-count-many': 'бермудских долларов',
                        'displayName-count-other': 'бермудского доллара',
                        'symbol': 'BMD',
                        'symbol-alt-narrow': '$'
                    },
                    'BND': {
                        'displayName': 'Брунейский доллар',
                        'displayName-count-one': 'брунейский доллар',
                        'displayName-count-few': 'брунейских доллара',
                        'displayName-count-many': 'брунейских долларов',
                        'displayName-count-other': 'брунейского доллара',
                        'symbol': 'BND',
                        'symbol-alt-narrow': '$'
                    },
                    'BOB': {
                        'displayName': 'Боливийский боливиано',
                        'displayName-count-one': 'боливийский боливиано',
                        'displayName-count-few': 'боливийских боливиано',
                        'displayName-count-many': 'боливийских боливиано',
                        'displayName-count-other': 'боливийского боливиано',
                        'symbol': 'BOB',
                        'symbol-alt-narrow': 'Bs'
                    },
                    'BOL': {
                        'displayName': 'BOL',
                        'symbol': 'BOL'
                    },
                    'BOP': {
                        'displayName': 'Боливийское песо',
                        'symbol': 'BOP'
                    },
                    'BOV': {
                        'displayName': 'Боливийский мвдол',
                        'symbol': 'BOV'
                    },
                    'BRB': {
                        'displayName': 'Бразильский новый крузейро (1967–1986)',
                        'symbol': 'BRB'
                    },
                    'BRC': {
                        'displayName': 'Бразильское крузадо',
                        'symbol': 'BRC'
                    },
                    'BRE': {
                        'displayName': 'Бразильский крузейро (1990–1993)',
                        'symbol': 'BRE'
                    },
                    'BRL': {
                        'displayName': 'Бразильский реал',
                        'displayName-count-one': 'бразильский реал',
                        'displayName-count-few': 'бразильских реала',
                        'displayName-count-many': 'бразильских реалов',
                        'displayName-count-other': 'бразильского реала',
                        'symbol': 'R$',
                        'symbol-alt-narrow': 'R$'
                    },
                    'BRN': {
                        'displayName': 'Бразильское новое крузадо',
                        'symbol': 'BRN'
                    },
                    'BRR': {
                        'displayName': 'Бразильский крузейро',
                        'symbol': 'BRR'
                    },
                    'BRZ': {
                        'displayName': 'BRZ',
                        'symbol': 'BRZ'
                    },
                    'BSD': {
                        'displayName': 'Багамский доллар',
                        'displayName-count-one': 'багамский доллар',
                        'displayName-count-few': 'багамских доллара',
                        'displayName-count-many': 'багамских долларов',
                        'displayName-count-other': 'багамского доллара',
                        'symbol': 'BSD',
                        'symbol-alt-narrow': '$'
                    },
                    'BTN': {
                        'displayName': 'Бутанский нгултрум',
                        'displayName-count-one': 'бутанский нгултрум',
                        'displayName-count-few': 'бутанских нгултрума',
                        'displayName-count-many': 'бутанских нгултрумов',
                        'displayName-count-other': 'бутанского нгултрума',
                        'symbol': 'BTN'
                    },
                    'BUK': {
                        'displayName': 'Джа',
                        'symbol': 'BUK'
                    },
                    'BWP': {
                        'displayName': 'Ботсванская пула',
                        'displayName-count-one': 'ботсванская пула',
                        'displayName-count-few': 'ботсванских пулы',
                        'displayName-count-many': 'ботсванских пул',
                        'displayName-count-other': 'ботсванской пулы',
                        'symbol': 'BWP',
                        'symbol-alt-narrow': 'P'
                    },
                    'BYB': {
                        'displayName': 'Белорусский рубль (1994–1999)',
                        'symbol': 'BYB'
                    },
                    'BYR': {
                        'displayName': 'Белорусский рубль',
                        'displayName-count-one': 'белорусский рубль',
                        'displayName-count-few': 'белорусских рубля',
                        'displayName-count-many': 'белорусских рублей',
                        'displayName-count-other': 'белорусского рубля',
                        'symbol': 'BYR',
                        'symbol-alt-narrow': 'р.'
                    },
                    'BZD': {
                        'displayName': 'Белизский доллар',
                        'displayName-count-one': 'белизский доллар',
                        'displayName-count-few': 'белизских доллара',
                        'displayName-count-many': 'белизских долларов',
                        'displayName-count-other': 'белизского доллара',
                        'symbol': 'BZD',
                        'symbol-alt-narrow': '$'
                    },
                    'CAD': {
                        'displayName': 'Канадский доллар',
                        'displayName-count-one': 'канадский доллар',
                        'displayName-count-few': 'канадских доллара',
                        'displayName-count-many': 'канадских долларов',
                        'displayName-count-other': 'канадского доллара',
                        'symbol': 'CA$',
                        'symbol-alt-narrow': '$'
                    },
                    'CDF': {
                        'displayName': 'Конголезский франк',
                        'displayName-count-one': 'конголезский франк',
                        'displayName-count-few': 'конголезских франка',
                        'displayName-count-many': 'конголезских франков',
                        'displayName-count-other': 'конголезского франка',
                        'symbol': 'CDF'
                    },
                    'CHE': {
                        'displayName': 'WIR евро',
                        'symbol': 'CHE'
                    },
                    'CHF': {
                        'displayName': 'Швейцарский франк',
                        'displayName-count-one': 'швейцарский франк',
                        'displayName-count-few': 'швейцарских франка',
                        'displayName-count-many': 'швейцарских франков',
                        'displayName-count-other': 'швейцарского франка',
                        'symbol': 'CHF'
                    },
                    'CHW': {
                        'displayName': 'WIR франк',
                        'symbol': 'CHW'
                    },
                    'CLE': {
                        'displayName': 'CLE',
                        'symbol': 'CLE'
                    },
                    'CLF': {
                        'displayName': 'Условная расчетная единица Чили',
                        'symbol': 'CLF'
                    },
                    'CLP': {
                        'displayName': 'Чилийское песо',
                        'displayName-count-one': 'чилийское песо',
                        'displayName-count-few': 'чилийских песо',
                        'displayName-count-many': 'чилийских песо',
                        'displayName-count-other': 'чилийского песо',
                        'symbol': 'CLP',
                        'symbol-alt-narrow': '$'
                    },
                    'CNY': {
                        'displayName': 'Китайский юань',
                        'displayName-count-one': 'китайский юань',
                        'displayName-count-few': 'китайских юаня',
                        'displayName-count-many': 'китайских юаней',
                        'displayName-count-other': 'китайского юаня',
                        'symbol': 'CN¥',
                        'symbol-alt-narrow': '¥'
                    },
                    'COP': {
                        'displayName': 'Колумбийское песо',
                        'displayName-count-one': 'колумбийское песо',
                        'displayName-count-few': 'колумбийских песо',
                        'displayName-count-many': 'колумбийских песо',
                        'displayName-count-other': 'колумбийского песо',
                        'symbol': 'COP',
                        'symbol-alt-narrow': '$'
                    },
                    'COU': {
                        'displayName': 'Единица реальной стоимости Колумбии',
                        'symbol': 'COU'
                    },
                    'CRC': {
                        'displayName': 'Костариканский колон',
                        'displayName-count-one': 'костариканский колон',
                        'displayName-count-few': 'костариканских колона',
                        'displayName-count-many': 'костариканских колонов',
                        'displayName-count-other': 'костариканского колона',
                        'symbol': 'CRC',
                        'symbol-alt-narrow': '₡'
                    },
                    'CSD': {
                        'displayName': 'Старый Сербский динар',
                        'symbol': 'CSD'
                    },
                    'CSK': {
                        'displayName': 'Чехословацкая твердая крона',
                        'symbol': 'CSK'
                    },
                    'CUC': {
                        'displayName': 'Кубинское конвертируемое песо',
                        'displayName-count-one': 'кубинское конвертируемое песо',
                        'displayName-count-few': 'кубинских конвертируемых песо',
                        'displayName-count-many': 'кубинских конвертируемых песо',
                        'displayName-count-other': 'кубинского конвертируемого песо',
                        'symbol': 'CUC',
                        'symbol-alt-narrow': '$'
                    },
                    'CUP': {
                        'displayName': 'Кубинское песо',
                        'displayName-count-one': 'кубинское песо',
                        'displayName-count-few': 'кубинских песо',
                        'displayName-count-many': 'кубинских песо',
                        'displayName-count-other': 'кубинского песо',
                        'symbol': 'CUP',
                        'symbol-alt-narrow': '$'
                    },
                    'CVE': {
                        'displayName': 'Эскудо Кабо-Верде',
                        'displayName-count-one': 'эскудо Кабо-Верде',
                        'displayName-count-few': 'эскудо Кабо-Верде',
                        'displayName-count-many': 'эскудо Кабо-Верде',
                        'displayName-count-other': 'эскудо Кабо-Верде',
                        'symbol': 'CVE'
                    },
                    'CYP': {
                        'displayName': 'Кипрский фунт',
                        'symbol': 'CYP'
                    },
                    'CZK': {
                        'displayName': 'Чешская крона',
                        'displayName-count-one': 'чешская крона',
                        'displayName-count-few': 'чешские кроны',
                        'displayName-count-many': 'чешских крон',
                        'displayName-count-other': 'чешской кроны',
                        'symbol': 'CZK',
                        'symbol-alt-narrow': 'Kč'
                    },
                    'DDM': {
                        'displayName': 'Восточногерманская марка',
                        'symbol': 'DDM'
                    },
                    'DEM': {
                        'displayName': 'Немецкая марка',
                        'symbol': 'DEM'
                    },
                    'DJF': {
                        'displayName': 'Франк Джибути',
                        'displayName-count-one': 'франк Джибути',
                        'displayName-count-few': 'франка Джибути',
                        'displayName-count-many': 'франков Джибути',
                        'displayName-count-other': 'франка Джибути',
                        'symbol': 'DJF'
                    },
                    'DKK': {
                        'displayName': 'Датская крона',
                        'displayName-count-one': 'датская крона',
                        'displayName-count-few': 'датские кроны',
                        'displayName-count-many': 'датских крон',
                        'displayName-count-other': 'датской кроны',
                        'symbol': 'DKK',
                        'symbol-alt-narrow': 'kr'
                    },
                    'DOP': {
                        'displayName': 'Доминиканское песо',
                        'displayName-count-one': 'доминиканское песо',
                        'displayName-count-few': 'доминиканских песо',
                        'displayName-count-many': 'доминиканских песо',
                        'displayName-count-other': 'доминиканского песо',
                        'symbol': 'DOP',
                        'symbol-alt-narrow': '$'
                    },
                    'DZD': {
                        'displayName': 'Алжирский динар',
                        'displayName-count-one': 'алжирский динар',
                        'displayName-count-few': 'алжирских динара',
                        'displayName-count-many': 'алжирских динаров',
                        'displayName-count-other': 'алжирского динара',
                        'symbol': 'DZD'
                    },
                    'ECS': {
                        'displayName': 'Эквадорский сукре',
                        'symbol': 'ECS'
                    },
                    'ECV': {
                        'displayName': 'Постоянная единица стоимости Эквадора',
                        'symbol': 'ECV'
                    },
                    'EEK': {
                        'displayName': 'Эстонская крона',
                        'symbol': 'EEK'
                    },
                    'EGP': {
                        'displayName': 'Египетский фунт',
                        'displayName-count-one': 'египетский фунт',
                        'displayName-count-few': 'египетских фунта',
                        'displayName-count-many': 'египетских фунтов',
                        'displayName-count-other': 'египетского фунта',
                        'symbol': 'EGP',
                        'symbol-alt-narrow': 'E£'
                    },
                    'ERN': {
                        'displayName': 'Накфа',
                        'displayName-count-one': 'эритрейская накфа',
                        'displayName-count-few': 'эритрейские накфы',
                        'displayName-count-many': 'эритрейских накф',
                        'displayName-count-other': 'эритрейской накфы',
                        'symbol': 'ERN'
                    },
                    'ESA': {
                        'displayName': 'Испанская песета (А)',
                        'symbol': 'ESA'
                    },
                    'ESB': {
                        'displayName': 'Испанская песета (конвертируемая)',
                        'symbol': 'ESB'
                    },
                    'ESP': {
                        'displayName': 'Испанская песета',
                        'symbol': 'ESP',
                        'symbol-alt-narrow': '₧'
                    },
                    'ETB': {
                        'displayName': 'Эфиопский быр',
                        'displayName-count-one': 'эфиопский быр',
                        'displayName-count-few': 'эфиопских быра',
                        'displayName-count-many': 'эфиопских быров',
                        'displayName-count-other': 'эфиопского быра',
                        'symbol': 'ETB'
                    },
                    'EUR': {
                        'displayName': 'Евро',
                        'displayName-count-one': 'евро',
                        'displayName-count-few': 'евро',
                        'displayName-count-many': 'евро',
                        'displayName-count-other': 'евро',
                        'symbol': '€',
                        'symbol-alt-narrow': '€'
                    },
                    'FIM': {
                        'displayName': 'Финская марка',
                        'symbol': 'FIM'
                    },
                    'FJD': {
                        'displayName': 'Доллар Фиджи',
                        'displayName-count-one': 'доллар Фиджи',
                        'displayName-count-few': 'доллара Фиджи',
                        'displayName-count-many': 'долларов Фиджи',
                        'displayName-count-other': 'доллара Фиджи',
                        'symbol': 'FJD',
                        'symbol-alt-narrow': '$'
                    },
                    'FKP': {
                        'displayName': 'Фунт Фолклендских островов',
                        'displayName-count-one': 'фунт Фолклендских островов',
                        'displayName-count-few': 'фунта Фолклендских островов',
                        'displayName-count-many': 'фунтов Фолклендских островов',
                        'displayName-count-other': 'фунта Фолклендских островов',
                        'symbol': 'FKP',
                        'symbol-alt-narrow': '£'
                    },
                    'FRF': {
                        'displayName': 'Французский франк',
                        'symbol': 'FRF'
                    },
                    'GBP': {
                        'displayName': 'Английский фунт стерлингов',
                        'displayName-count-one': 'английский фунт стерлингов',
                        'displayName-count-few': 'английских фунта стерлингов',
                        'displayName-count-many': 'английских фунтов стерлингов',
                        'displayName-count-other': 'английского фунта стерлингов',
                        'symbol': '£',
                        'symbol-alt-narrow': '£'
                    },
                    'GEK': {
                        'displayName': 'Грузинский купон',
                        'symbol': 'GEK'
                    },
                    'GEL': {
                        'displayName': 'Грузинский лари',
                        'displayName-count-one': 'грузинский лари',
                        'displayName-count-few': 'грузинских лари',
                        'displayName-count-many': 'грузинских лари',
                        'displayName-count-other': 'грузинского лари',
                        'symbol': 'GEL',
                        'symbol-alt-variant': '₾'
                    },
                    'GHC': {
                        'displayName': 'Ганский седи (1979–2007)',
                        'symbol': 'GHC'
                    },
                    'GHS': {
                        'displayName': 'Ганский седи',
                        'displayName-count-one': 'ганский седи',
                        'displayName-count-few': 'ганских седи',
                        'displayName-count-many': 'ганских седи',
                        'displayName-count-other': 'ганского седи',
                        'symbol': 'GHS'
                    },
                    'GIP': {
                        'displayName': 'Гибралтарский фунт',
                        'displayName-count-one': 'гибралтарский фунт',
                        'displayName-count-few': 'гибралтарских фунта',
                        'displayName-count-many': 'гибралтарских фунтов',
                        'displayName-count-other': 'гибралтарского фунта',
                        'symbol': 'GIP',
                        'symbol-alt-narrow': '£'
                    },
                    'GMD': {
                        'displayName': 'Гамбийский даласи',
                        'displayName-count-one': 'гамбийский даласи',
                        'displayName-count-few': 'гамбийских даласи',
                        'displayName-count-many': 'гамбийских даласи',
                        'displayName-count-other': 'гамбийского даласи',
                        'symbol': 'GMD'
                    },
                    'GNF': {
                        'displayName': 'Гвинейский франк',
                        'displayName-count-one': 'гвинейский франк',
                        'displayName-count-few': 'гвинейских франка',
                        'displayName-count-many': 'гвинейских франков',
                        'displayName-count-other': 'гвинейского франка',
                        'symbol': 'GNF',
                        'symbol-alt-narrow': 'FG'
                    },
                    'GNS': {
                        'displayName': 'Гвинейская сили',
                        'symbol': 'GNS'
                    },
                    'GQE': {
                        'displayName': 'Эквеле экваториальной Гвинеи',
                        'symbol': 'GQE'
                    },
                    'GRD': {
                        'displayName': 'Греческая драхма',
                        'symbol': 'GRD'
                    },
                    'GTQ': {
                        'displayName': 'Гватемальский кетсаль',
                        'displayName-count-one': 'гватемальский кетсаль',
                        'displayName-count-few': 'гватемальских кетсаля',
                        'displayName-count-many': 'гватемальских кетсалей',
                        'displayName-count-other': 'гватемальского кетсаля',
                        'symbol': 'GTQ',
                        'symbol-alt-narrow': 'Q'
                    },
                    'GWE': {
                        'displayName': 'Эскудо Португальской Гвинеи',
                        'symbol': 'GWE'
                    },
                    'GWP': {
                        'displayName': 'Песо Гвинеи-Бисау',
                        'symbol': 'GWP'
                    },
                    'GYD': {
                        'displayName': 'Гайанский доллар',
                        'displayName-count-one': 'гайанский доллар',
                        'displayName-count-few': 'гайанских доллара',
                        'displayName-count-many': 'гайанских долларов',
                        'displayName-count-other': 'гайанского доллара',
                        'symbol': 'GYD',
                        'symbol-alt-narrow': '$'
                    },
                    'HKD': {
                        'displayName': 'Гонконгский доллар',
                        'displayName-count-one': 'гонконгский доллар',
                        'displayName-count-few': 'гонконгских доллара',
                        'displayName-count-many': 'гонконгских долларов',
                        'displayName-count-other': 'гонконгского доллара',
                        'symbol': 'HK$',
                        'symbol-alt-narrow': '$'
                    },
                    'HNL': {
                        'displayName': 'Гондурасская лемпира',
                        'displayName-count-one': 'гондурасская лемпира',
                        'displayName-count-few': 'гондурасские лемпиры',
                        'displayName-count-many': 'гондурасских лемпир',
                        'displayName-count-other': 'гондурасской лемпиры',
                        'symbol': 'HNL',
                        'symbol-alt-narrow': 'L'
                    },
                    'HRD': {
                        'displayName': 'Хорватский динар',
                        'symbol': 'HRD'
                    },
                    'HRK': {
                        'displayName': 'Хорватская куна',
                        'displayName-count-one': 'хорватская куна',
                        'displayName-count-few': 'хорватских куны',
                        'displayName-count-many': 'хорватских кун',
                        'displayName-count-other': 'хорватской куны',
                        'symbol': 'HRK',
                        'symbol-alt-narrow': 'kn'
                    },
                    'HTG': {
                        'displayName': 'Гаитянский гурд',
                        'displayName-count-one': 'гаитянский гурд',
                        'displayName-count-few': 'гаитянских гурда',
                        'displayName-count-many': 'гаитянских гурдов',
                        'displayName-count-other': 'гаитянского гурда',
                        'symbol': 'HTG'
                    },
                    'HUF': {
                        'displayName': 'Венгерский форинт',
                        'displayName-count-one': 'венгерский форинт',
                        'displayName-count-few': 'венгерских форинта',
                        'displayName-count-many': 'венгерских форинтов',
                        'displayName-count-other': 'венгерского форинта',
                        'symbol': 'HUF',
                        'symbol-alt-narrow': 'Ft'
                    },
                    'IDR': {
                        'displayName': 'Индонезийская рупия',
                        'displayName-count-one': 'индонезийская рупия',
                        'displayName-count-few': 'индонезийские рупии',
                        'displayName-count-many': 'индонезийских рупий',
                        'displayName-count-other': 'индонезийской рупии',
                        'symbol': 'IDR',
                        'symbol-alt-narrow': 'Rp'
                    },
                    'IEP': {
                        'displayName': 'Ирландский фунт',
                        'symbol': 'IEP'
                    },
                    'ILP': {
                        'displayName': 'Израильский фунт',
                        'symbol': 'ILP'
                    },
                    'ILS': {
                        'displayName': 'Новый израильский шекель',
                        'displayName-count-one': 'новый израильский шекель',
                        'displayName-count-few': 'новых израильских шекеля',
                        'displayName-count-many': 'новых израильских шекелей',
                        'displayName-count-other': 'нового израильского шекеля',
                        'symbol': '₪',
                        'symbol-alt-narrow': '₪'
                    },
                    'INR': {
                        'displayName': 'Индийская рупия',
                        'displayName-count-one': 'индийская рупия',
                        'displayName-count-few': 'индийские рупии',
                        'displayName-count-many': 'индийских рупий',
                        'displayName-count-other': 'индийской рупии',
                        'symbol': '₹',
                        'symbol-alt-narrow': '₹'
                    },
                    'IQD': {
                        'displayName': 'Иракский динар',
                        'displayName-count-one': 'иракский динар',
                        'displayName-count-few': 'иракских динара',
                        'displayName-count-many': 'иракских динаров',
                        'displayName-count-other': 'иракского динара',
                        'symbol': 'IQD'
                    },
                    'IRR': {
                        'displayName': 'Иранский риал',
                        'displayName-count-one': 'иранский риал',
                        'displayName-count-few': 'иранских риала',
                        'displayName-count-many': 'иранских риалов',
                        'displayName-count-other': 'иранского риала',
                        'symbol': 'IRR'
                    },
                    'ISK': {
                        'displayName': 'Исландская крона',
                        'displayName-count-one': 'исландская крона',
                        'displayName-count-few': 'исландские кроны',
                        'displayName-count-many': 'исландских крон',
                        'displayName-count-other': 'исландской кроны',
                        'symbol': 'ISK',
                        'symbol-alt-narrow': 'kr'
                    },
                    'ITL': {
                        'displayName': 'Итальянская лира',
                        'symbol': 'ITL'
                    },
                    'JMD': {
                        'displayName': 'Ямайский доллар',
                        'displayName-count-one': 'ямайский доллар',
                        'displayName-count-few': 'ямайских доллара',
                        'displayName-count-many': 'ямайских долларов',
                        'displayName-count-other': 'ямайского доллара',
                        'symbol': 'JMD',
                        'symbol-alt-narrow': '$'
                    },
                    'JOD': {
                        'displayName': 'Иорданский динар',
                        'displayName-count-one': 'иорданский динар',
                        'displayName-count-few': 'иорданских динара',
                        'displayName-count-many': 'иорданских динаров',
                        'displayName-count-other': 'иорданского динара',
                        'symbol': 'JOD'
                    },
                    'JPY': {
                        'displayName': 'Японская иена',
                        'displayName-count-one': 'японская иена',
                        'displayName-count-few': 'японские иены',
                        'displayName-count-many': 'японских иен',
                        'displayName-count-other': 'японской иены',
                        'symbol': '¥',
                        'symbol-alt-narrow': '¥'
                    },
                    'KES': {
                        'displayName': 'Кенийский шиллинг',
                        'displayName-count-one': 'кенийский шиллинг',
                        'displayName-count-few': 'кенийских шиллинга',
                        'displayName-count-many': 'кенийских шиллингов',
                        'displayName-count-other': 'кенийского шиллинга',
                        'symbol': 'KES'
                    },
                    'KGS': {
                        'displayName': 'Киргизский сом',
                        'displayName-count-one': 'киргизский сом',
                        'displayName-count-few': 'киргизских сома',
                        'displayName-count-many': 'киргизских сома',
                        'displayName-count-other': 'киргизского сома',
                        'symbol': 'KGS'
                    },
                    'KHR': {
                        'displayName': 'Камбоджийский риель',
                        'displayName-count-one': 'камбоджийский риель',
                        'displayName-count-few': 'камбоджийских риеля',
                        'displayName-count-many': 'камбоджийских риелей',
                        'displayName-count-other': 'камбоджийского риеля',
                        'symbol': 'KHR',
                        'symbol-alt-narrow': '៛'
                    },
                    'KMF': {
                        'displayName': 'Франк Коморских островов',
                        'displayName-count-one': 'франк Коморских островов',
                        'displayName-count-few': 'франка Коморских островов',
                        'displayName-count-many': 'франков Коморских островов',
                        'displayName-count-other': 'франка Коморских островов',
                        'symbol': 'KMF',
                        'symbol-alt-narrow': 'CF'
                    },
                    'KPW': {
                        'displayName': 'Северокорейская вона',
                        'displayName-count-one': 'северокорейская вона',
                        'displayName-count-few': 'северокорейские воны',
                        'displayName-count-many': 'северокорейских вон',
                        'displayName-count-other': 'северокорейской воны',
                        'symbol': 'KPW',
                        'symbol-alt-narrow': '₩'
                    },
                    'KRH': {
                        'displayName': 'KRH',
                        'symbol': 'KRH'
                    },
                    'KRO': {
                        'displayName': 'KRO',
                        'symbol': 'KRO'
                    },
                    'KRW': {
                        'displayName': 'Южнокорейская вона',
                        'displayName-count-one': 'южнокорейская вона',
                        'displayName-count-few': 'южнокорейские воны',
                        'displayName-count-many': 'южнокорейских вон',
                        'displayName-count-other': 'южнокорейской воны',
                        'symbol': '₩',
                        'symbol-alt-narrow': '₩'
                    },
                    'KWD': {
                        'displayName': 'Кувейтский динар',
                        'displayName-count-one': 'кувейтский динар',
                        'displayName-count-few': 'кувейтских динара',
                        'displayName-count-many': 'кувейтских динаров',
                        'displayName-count-other': 'кувейтского динара',
                        'symbol': 'KWD'
                    },
                    'KYD': {
                        'displayName': 'Доллар Каймановых островов',
                        'displayName-count-one': 'доллар Каймановых островов',
                        'displayName-count-few': 'доллара Каймановых островов',
                        'displayName-count-many': 'долларов Каймановых островов',
                        'displayName-count-other': 'доллара Каймановых островов',
                        'symbol': 'KYD',
                        'symbol-alt-narrow': '$'
                    },
                    'KZT': {
                        'displayName': 'Казахский тенге',
                        'displayName-count-one': 'казахский тенге',
                        'displayName-count-few': 'казахских тенге',
                        'displayName-count-many': 'казахских тенге',
                        'displayName-count-other': 'казахского тенге',
                        'symbol': 'KZT',
                        'symbol-alt-narrow': '₸'
                    },
                    'LAK': {
                        'displayName': 'Лаосский кип',
                        'displayName-count-one': 'лаосский кип',
                        'displayName-count-few': 'лаосских кипа',
                        'displayName-count-many': 'лаосских кипов',
                        'displayName-count-other': 'лаосского кипа',
                        'symbol': 'LAK',
                        'symbol-alt-narrow': '₭'
                    },
                    'LBP': {
                        'displayName': 'Ливанский фунт',
                        'displayName-count-one': 'ливанский фунт',
                        'displayName-count-few': 'ливанских фунта',
                        'displayName-count-many': 'ливанских фунтов',
                        'displayName-count-other': 'ливанского фунта',
                        'symbol': 'LBP',
                        'symbol-alt-narrow': 'L£'
                    },
                    'LKR': {
                        'displayName': 'Шри-Ланкийская рупия',
                        'displayName-count-one': 'шри-ланкийская рупия',
                        'displayName-count-few': 'шри-ланкийские рупии',
                        'displayName-count-many': 'шри-ланкийских рупий',
                        'displayName-count-other': 'шри-ланкийской рупии',
                        'symbol': 'LKR',
                        'symbol-alt-narrow': 'Rs'
                    },
                    'LRD': {
                        'displayName': 'Либерийский доллар',
                        'displayName-count-one': 'либерийский доллар',
                        'displayName-count-few': 'либерийских доллара',
                        'displayName-count-many': 'либерийских долларов',
                        'displayName-count-other': 'либерийского доллара',
                        'symbol': 'LRD',
                        'symbol-alt-narrow': '$'
                    },
                    'LSL': {
                        'displayName': 'Лоти',
                        'symbol': 'LSL'
                    },
                    'LTL': {
                        'displayName': 'Литовский лит',
                        'displayName-count-one': 'литовский лит',
                        'displayName-count-few': 'литовских лита',
                        'displayName-count-many': 'литовских литов',
                        'displayName-count-other': 'литовского лита',
                        'symbol': 'LTL',
                        'symbol-alt-narrow': 'Lt'
                    },
                    'LTT': {
                        'displayName': 'Литовский талон',
                        'symbol': 'LTT'
                    },
                    'LUC': {
                        'displayName': 'Конвертируемый франк Люксембурга',
                        'symbol': 'LUC'
                    },
                    'LUF': {
                        'displayName': 'Люксембургский франк',
                        'symbol': 'LUF'
                    },
                    'LUL': {
                        'displayName': 'Финансовый франк Люксембурга',
                        'symbol': 'LUL'
                    },
                    'LVL': {
                        'displayName': 'Латвийский лат',
                        'displayName-count-one': 'латвийский лат',
                        'displayName-count-few': 'латвийских лата',
                        'displayName-count-many': 'латвийских латов',
                        'displayName-count-other': 'латвийского лата',
                        'symbol': 'LVL',
                        'symbol-alt-narrow': 'Ls'
                    },
                    'LVR': {
                        'displayName': 'Латвийский рубль',
                        'symbol': 'LVR'
                    },
                    'LYD': {
                        'displayName': 'Ливийский динар',
                        'displayName-count-one': 'ливийский динар',
                        'displayName-count-few': 'ливийских динара',
                        'displayName-count-many': 'ливийских динаров',
                        'displayName-count-other': 'ливийского динара',
                        'symbol': 'LYD'
                    },
                    'MAD': {
                        'displayName': 'Марокканский дирхам',
                        'displayName-count-one': 'марокканский дирхам',
                        'displayName-count-few': 'марокканских дирхама',
                        'displayName-count-many': 'марокканских дирхамов',
                        'displayName-count-other': 'марокканского дирхама',
                        'symbol': 'MAD'
                    },
                    'MAF': {
                        'displayName': 'Марокканский франк',
                        'symbol': 'MAF'
                    },
                    'MCF': {
                        'displayName': 'MCF',
                        'symbol': 'MCF'
                    },
                    'MDC': {
                        'displayName': 'MDC',
                        'symbol': 'MDC'
                    },
                    'MDL': {
                        'displayName': 'Молдавский лей',
                        'displayName-count-one': 'молдавский лей',
                        'displayName-count-few': 'молдавских лея',
                        'displayName-count-many': 'молдавских леев',
                        'displayName-count-other': 'молдавского лея',
                        'symbol': 'MDL'
                    },
                    'MGA': {
                        'displayName': 'Малагасийский ариари',
                        'displayName-count-one': 'малагасийский ариари',
                        'displayName-count-few': 'малагасийских ариари',
                        'displayName-count-many': 'малагасийских ариари',
                        'displayName-count-other': 'малагасийского ариари',
                        'symbol': 'MGA',
                        'symbol-alt-narrow': 'Ar'
                    },
                    'MGF': {
                        'displayName': 'Малагасийский франк',
                        'symbol': 'MGF'
                    },
                    'MKD': {
                        'displayName': 'Македонский динар',
                        'displayName-count-one': 'македонский динар',
                        'displayName-count-few': 'македонских динара',
                        'displayName-count-many': 'македонских динаров',
                        'displayName-count-other': 'македонского динара',
                        'symbol': 'MKD'
                    },
                    'MKN': {
                        'displayName': 'MKN',
                        'symbol': 'MKN'
                    },
                    'MLF': {
                        'displayName': 'Малийский франк',
                        'symbol': 'MLF'
                    },
                    'MMK': {
                        'displayName': 'Мьянманский кьят',
                        'displayName-count-one': 'мьянманский кьят',
                        'displayName-count-few': 'мьянманских кьята',
                        'displayName-count-many': 'мьянманских кьятов',
                        'displayName-count-other': 'мьянманского кьята',
                        'symbol': 'MMK',
                        'symbol-alt-narrow': 'K'
                    },
                    'MNT': {
                        'displayName': 'Монгольский тугрик',
                        'displayName-count-one': 'монгольский тугрик',
                        'displayName-count-few': 'монгольских тугрика',
                        'displayName-count-many': 'монгольских тугриков',
                        'displayName-count-other': 'монгольского тугрика',
                        'symbol': 'MNT',
                        'symbol-alt-narrow': '₮'
                    },
                    'MOP': {
                        'displayName': 'Патака Макао',
                        'displayName-count-one': 'патака Макао',
                        'displayName-count-few': 'патаки Макао',
                        'displayName-count-many': 'патак Макао',
                        'displayName-count-other': 'патаки Макао',
                        'symbol': 'MOP'
                    },
                    'MRO': {
                        'displayName': 'Мавританская угия',
                        'displayName-count-one': 'мавританская угия',
                        'displayName-count-few': 'мавританские угии',
                        'displayName-count-many': 'мавританских угий',
                        'displayName-count-other': 'мавританской угии',
                        'symbol': 'MRO'
                    },
                    'MTL': {
                        'displayName': 'Мальтийская лира',
                        'symbol': 'MTL'
                    },
                    'MTP': {
                        'displayName': 'Мальтийский фунт',
                        'symbol': 'MTP'
                    },
                    'MUR': {
                        'displayName': 'Маврикийская рупия',
                        'displayName-count-one': 'маврикийская рупия',
                        'displayName-count-few': 'маврикийские рупии',
                        'displayName-count-many': 'маврикийских рупий',
                        'displayName-count-other': 'маврикийской рупии',
                        'symbol': 'MUR',
                        'symbol-alt-narrow': 'Rs'
                    },
                    'MVR': {
                        'displayName': 'Мальдивская руфия',
                        'displayName-count-one': 'мальдивская руфия',
                        'displayName-count-few': 'мальдивские руфии',
                        'displayName-count-many': 'мальдивских руфий',
                        'displayName-count-other': 'мальдивской руфии',
                        'symbol': 'MVR'
                    },
                    'MWK': {
                        'displayName': 'Малавийская квача',
                        'displayName-count-one': 'малавийская квача',
                        'displayName-count-few': 'малавийские квачи',
                        'displayName-count-many': 'малавийских квач',
                        'displayName-count-other': 'малавийской квачи',
                        'symbol': 'MWK'
                    },
                    'MXN': {
                        'displayName': 'Мексиканское песо',
                        'displayName-count-one': 'мексиканское песо',
                        'displayName-count-few': 'мексиканских песо',
                        'displayName-count-many': 'мексиканских песо',
                        'displayName-count-other': 'мексиканского песо',
                        'symbol': 'MX$',
                        'symbol-alt-narrow': '$'
                    },
                    'MXP': {
                        'displayName': 'Мексиканское серебряное песо (1861–1992)',
                        'symbol': 'MXP'
                    },
                    'MXV': {
                        'displayName': 'Мексиканская пересчетная единица (UDI)',
                        'symbol': 'MXV'
                    },
                    'MYR': {
                        'displayName': 'Малайзийский ринггит',
                        'displayName-count-one': 'малайзийский ринггит',
                        'displayName-count-few': 'малайзийских ринггита',
                        'displayName-count-many': 'малайзийских ринггитов',
                        'displayName-count-other': 'малайзийского ринггита',
                        'symbol': 'MYR',
                        'symbol-alt-narrow': 'RM'
                    },
                    'MZE': {
                        'displayName': 'Мозамбикское эскудо',
                        'symbol': 'MZE'
                    },
                    'MZM': {
                        'displayName': 'Старый мозамбикский метикал',
                        'symbol': 'MZM'
                    },
                    'MZN': {
                        'displayName': 'Мозамбикский метикал',
                        'displayName-count-one': 'мозамбикский метикал',
                        'displayName-count-few': 'мозамбикских метикала',
                        'displayName-count-many': 'мозамбикских метикалов',
                        'displayName-count-other': 'мозамбикского метикала',
                        'symbol': 'MZN'
                    },
                    'NAD': {
                        'displayName': 'Доллар Намибии',
                        'displayName-count-one': 'доллар Намибии',
                        'displayName-count-few': 'доллара Намибии',
                        'displayName-count-many': 'долларов Намибии',
                        'displayName-count-other': 'доллара Намибии',
                        'symbol': 'NAD',
                        'symbol-alt-narrow': '$'
                    },
                    'NGN': {
                        'displayName': 'Нигерийская найра',
                        'displayName-count-one': 'нигерийская найра',
                        'displayName-count-few': 'нигерийские найры',
                        'displayName-count-many': 'нигерийских найр',
                        'displayName-count-other': 'нигерийской найры',
                        'symbol': 'NGN',
                        'symbol-alt-narrow': '₦'
                    },
                    'NIC': {
                        'displayName': 'Никарагуанская кордоба (1988–1991)',
                        'symbol': 'NIC'
                    },
                    'NIO': {
                        'displayName': 'Никарагуанская кордоба',
                        'displayName-count-one': 'никарагуанская кордоба',
                        'displayName-count-few': 'никарагуанские кордобы',
                        'displayName-count-many': 'никарагуанских кордоб',
                        'displayName-count-other': 'никарагуанской кордобы',
                        'symbol': 'NIO',
                        'symbol-alt-narrow': 'C$'
                    },
                    'NLG': {
                        'displayName': 'Нидерландский гульден',
                        'symbol': 'NLG'
                    },
                    'NOK': {
                        'displayName': 'Норвежская крона',
                        'displayName-count-one': 'норвежская крона',
                        'displayName-count-few': 'норвежские кроны',
                        'displayName-count-many': 'норвежских крон',
                        'displayName-count-other': 'норвежской кроны',
                        'symbol': 'NOK',
                        'symbol-alt-narrow': 'kr'
                    },
                    'NPR': {
                        'displayName': 'Непальская рупия',
                        'displayName-count-one': 'непальская рупия',
                        'displayName-count-few': 'непальские рупии',
                        'displayName-count-many': 'непальских рупий',
                        'displayName-count-other': 'непальской рупии',
                        'symbol': 'NPR',
                        'symbol-alt-narrow': 'Rs'
                    },
                    'NZD': {
                        'displayName': 'Новозеландский доллар',
                        'displayName-count-one': 'новозеландский доллар',
                        'displayName-count-few': 'новозеландских доллара',
                        'displayName-count-many': 'новозеландских долларов',
                        'displayName-count-other': 'новозеландского доллара',
                        'symbol': 'NZ$',
                        'symbol-alt-narrow': '$'
                    },
                    'OMR': {
                        'displayName': 'Оманский риал',
                        'displayName-count-one': 'оманский риал',
                        'displayName-count-few': 'оманских риала',
                        'displayName-count-many': 'оманских риалов',
                        'displayName-count-other': 'оманского риала',
                        'symbol': 'OMR'
                    },
                    'PAB': {
                        'displayName': 'Панамское бальбоа',
                        'displayName-count-one': 'панамский бальбоа',
                        'displayName-count-few': 'панамских бальбоа',
                        'displayName-count-many': 'панамских бальбоа',
                        'displayName-count-other': 'панамского бальбоа',
                        'symbol': 'PAB'
                    },
                    'PEI': {
                        'displayName': 'Перуанское инти',
                        'symbol': 'PEI'
                    },
                    'PEN': {
                        'displayName': 'Перуанский новый соль',
                        'displayName-count-one': 'перуанский новый соль',
                        'displayName-count-few': 'перуанских новых соля',
                        'displayName-count-many': 'перуанских новый солей',
                        'displayName-count-other': 'перуанского нового соля',
                        'symbol': 'PEN'
                    },
                    'PES': {
                        'displayName': 'Перуанский соль',
                        'symbol': 'PES'
                    },
                    'PGK': {
                        'displayName': 'Кина Папуа — Новой Гвинеи',
                        'displayName-count-one': 'кина Папуа — Новой Гвинеи',
                        'displayName-count-few': 'кины Папуа — Новой Гвинеи',
                        'displayName-count-many': 'кин Папуа — Новой Гвинеи',
                        'displayName-count-other': 'кины Папуа — Новой Гвинеи',
                        'symbol': 'PGK'
                    },
                    'PHP': {
                        'displayName': 'Филиппинское песо',
                        'displayName-count-one': 'филиппинское песо',
                        'displayName-count-few': 'филиппинских песо',
                        'displayName-count-many': 'филиппинских песо',
                        'displayName-count-other': 'филиппинского песо',
                        'symbol': 'PHP',
                        'symbol-alt-narrow': '₱'
                    },
                    'PKR': {
                        'displayName': 'Пакистанская рупия',
                        'displayName-count-one': 'пакистанская рупия',
                        'displayName-count-few': 'пакистанские рупии',
                        'displayName-count-many': 'пакистанских рупий',
                        'displayName-count-other': 'пакистанской рупии',
                        'symbol': 'PKR',
                        'symbol-alt-narrow': 'Rs'
                    },
                    'PLN': {
                        'displayName': 'Польский злотый',
                        'displayName-count-one': 'польский злотый',
                        'displayName-count-few': 'польских злотых',
                        'displayName-count-many': 'польских злотых',
                        'displayName-count-other': 'польского злотого',
                        'symbol': 'PLN',
                        'symbol-alt-narrow': 'zł'
                    },
                    'PLZ': {
                        'displayName': 'Злотый',
                        'symbol': 'PLZ'
                    },
                    'PTE': {
                        'displayName': 'Португальское эскудо',
                        'symbol': 'PTE'
                    },
                    'PYG': {
                        'displayName': 'Парагвайский гуарани',
                        'displayName-count-one': 'парагвайский гуарани',
                        'displayName-count-few': 'парагвайских гуарани',
                        'displayName-count-many': 'парагвайских гуарани',
                        'displayName-count-other': 'парагвайского гуарани',
                        'symbol': 'PYG',
                        'symbol-alt-narrow': '₲'
                    },
                    'QAR': {
                        'displayName': 'Катарский риал',
                        'displayName-count-one': 'катарский риал',
                        'displayName-count-few': 'катарских риала',
                        'displayName-count-many': 'катарских риалов',
                        'displayName-count-other': 'катарского риала',
                        'symbol': 'QAR'
                    },
                    'RHD': {
                        'displayName': 'Родезийский доллар',
                        'symbol': 'RHD'
                    },
                    'ROL': {
                        'displayName': 'Старый Румынский лей',
                        'symbol': 'ROL'
                    },
                    'RON': {
                        'displayName': 'Румынский лей',
                        'displayName-count-one': 'румынский лей',
                        'displayName-count-few': 'румынских лея',
                        'displayName-count-many': 'румынских леев',
                        'displayName-count-other': 'румынского лея',
                        'symbol': 'RON'
                    },
                    'RSD': {
                        'displayName': 'Сербский динар',
                        'displayName-count-one': 'сербский динар',
                        'displayName-count-few': 'сербских динара',
                        'displayName-count-many': 'сербских динаров',
                        'displayName-count-other': 'сербского динара',
                        'symbol': 'RSD'
                    },
                    'RUB': {
                        'displayName': 'Российский рубль',
                        'displayName-count-one': 'российский рубль',
                        'displayName-count-few': 'российских рубля',
                        'displayName-count-many': 'российских рублей',
                        'displayName-count-other': 'российского рубля',
                        'symbol': '₽',
                        'symbol-alt-narrow': '₽'
                    },
                    'RUR': {
                        'displayName': 'Российский рубль (1991–1998)',
                        'symbol': 'р.',
                        'symbol-alt-narrow': 'р.'
                    },
                    'RWF': {
                        'displayName': 'Франк Руанды',
                        'displayName-count-one': 'франк Руанды',
                        'displayName-count-few': 'франка Руанды',
                        'displayName-count-many': 'франков Руанды',
                        'displayName-count-other': 'франка Руанды',
                        'symbol': 'RWF',
                        'symbol-alt-narrow': 'RF'
                    },
                    'SAR': {
                        'displayName': 'Саудовский риал',
                        'displayName-count-one': 'саудовский риал',
                        'displayName-count-few': 'саудовских риала',
                        'displayName-count-many': 'саудовских риалов',
                        'displayName-count-other': 'саудовского риала',
                        'symbol': 'SAR'
                    },
                    'SBD': {
                        'displayName': 'Доллар Соломоновых островов',
                        'displayName-count-one': 'доллар Соломоновых островов',
                        'displayName-count-few': 'доллара Соломоновых островов',
                        'displayName-count-many': 'долларов Соломоновых островов',
                        'displayName-count-other': 'доллара Соломоновых островов',
                        'symbol': 'SBD',
                        'symbol-alt-narrow': '$'
                    },
                    'SCR': {
                        'displayName': 'Сейшельская рупия',
                        'displayName-count-one': 'сейшельская рупия',
                        'displayName-count-few': 'сейшельские рупии',
                        'displayName-count-many': 'сейшельских рупий',
                        'displayName-count-other': 'сейшельской рупии',
                        'symbol': 'SCR'
                    },
                    'SDD': {
                        'displayName': 'Суданский динар',
                        'symbol': 'SDD'
                    },
                    'SDG': {
                        'displayName': 'Суданский фунт',
                        'displayName-count-one': 'суданский фунт',
                        'displayName-count-few': 'суданских фунта',
                        'displayName-count-many': 'суданских фунтов',
                        'displayName-count-other': 'суданского фунта',
                        'symbol': 'SDG'
                    },
                    'SDP': {
                        'displayName': 'Старый суданский фунт',
                        'symbol': 'SDP'
                    },
                    'SEK': {
                        'displayName': 'Шведская крона',
                        'displayName-count-one': 'шведская крона',
                        'displayName-count-few': 'шведские кроны',
                        'displayName-count-many': 'шведских крон',
                        'displayName-count-other': 'шведской кроны',
                        'symbol': 'SEK',
                        'symbol-alt-narrow': 'kr'
                    },
                    'SGD': {
                        'displayName': 'Сингапурский доллар',
                        'displayName-count-one': 'сингапурский доллар',
                        'displayName-count-few': 'сингапурских доллара',
                        'displayName-count-many': 'сингапурских долларов',
                        'displayName-count-other': 'сингапурского доллара',
                        'symbol': 'SGD',
                        'symbol-alt-narrow': '$'
                    },
                    'SHP': {
                        'displayName': 'Фунт острова Святой Елены',
                        'displayName-count-one': 'фунт острова Святой Елены',
                        'displayName-count-few': 'фунта острова Святой Елены',
                        'displayName-count-many': 'фунтов острова Святой Елены',
                        'displayName-count-other': 'фунта острова Святой Елены',
                        'symbol': 'SHP',
                        'symbol-alt-narrow': '£'
                    },
                    'SIT': {
                        'displayName': 'Словенский толар',
                        'symbol': 'SIT'
                    },
                    'SKK': {
                        'displayName': 'Словацкая крона',
                        'symbol': 'SKK'
                    },
                    'SLL': {
                        'displayName': 'Леоне',
                        'displayName-count-one': 'леоне',
                        'displayName-count-few': 'леоне',
                        'displayName-count-many': 'леоне',
                        'displayName-count-other': 'леоне',
                        'symbol': 'SLL'
                    },
                    'SOS': {
                        'displayName': 'Сомалийский шиллинг',
                        'displayName-count-one': 'сомалийский шиллинг',
                        'displayName-count-few': 'сомалийских шиллинга',
                        'displayName-count-many': 'сомалийских шиллингов',
                        'displayName-count-other': 'сомалийского шиллинга',
                        'symbol': 'SOS'
                    },
                    'SRD': {
                        'displayName': 'Суринамский доллар',
                        'displayName-count-one': 'суринамский доллар',
                        'displayName-count-few': 'суринамских доллара',
                        'displayName-count-many': 'суринамских долларов',
                        'displayName-count-other': 'суринамского доллара',
                        'symbol': 'SRD',
                        'symbol-alt-narrow': '$'
                    },
                    'SRG': {
                        'displayName': 'Суринамский гульден',
                        'symbol': 'SRG'
                    },
                    'SSP': {
                        'displayName': 'Южносуданский фунт',
                        'displayName-count-one': 'южносуданский фунт',
                        'displayName-count-few': 'южносуданских фунта',
                        'displayName-count-many': 'южносуданских фунтов',
                        'displayName-count-other': 'южносуданского фунта',
                        'symbol': 'SSP',
                        'symbol-alt-narrow': '£'
                    },
                    'STD': {
                        'displayName': 'Добра Сант-Томе и Принсипи',
                        'displayName-count-one': 'добра Сан-Томе и Принсипи',
                        'displayName-count-few': 'добры Сан-Томе и Принсипи',
                        'displayName-count-many': 'добр Сан-Томе и Принсипи',
                        'displayName-count-other': 'добры Сан-Томе и Принсипи',
                        'symbol': 'STD',
                        'symbol-alt-narrow': 'Db'
                    },
                    'SUR': {
                        'displayName': 'Рубль СССР',
                        'symbol': 'SUR'
                    },
                    'SVC': {
                        'displayName': 'Сальвадорский колон',
                        'symbol': 'SVC'
                    },
                    'SYP': {
                        'displayName': 'Сирийский фунт',
                        'displayName-count-one': 'сирийский фунт',
                        'displayName-count-few': 'сирийских фунта',
                        'displayName-count-many': 'сирийских фунтов',
                        'displayName-count-other': 'сирийского фунта',
                        'symbol': 'SYP',
                        'symbol-alt-narrow': '£'
                    },
                    'SZL': {
                        'displayName': 'Свазилендский лилангени',
                        'displayName-count-one': 'свазилендский лилангени',
                        'displayName-count-few': 'свазилендских эмалангени',
                        'displayName-count-many': 'свазилендских лилангени',
                        'displayName-count-other': 'свазилендского лилангени',
                        'symbol': 'SZL'
                    },
                    'THB': {
                        'displayName': 'Таиландский бат',
                        'displayName-count-one': 'таиландский бат',
                        'displayName-count-few': 'таиландских бата',
                        'displayName-count-many': 'таиландских батов',
                        'displayName-count-other': 'таиландского бата',
                        'symbol': '฿',
                        'symbol-alt-narrow': '฿'
                    },
                    'TJR': {
                        'displayName': 'Таджикский рубль',
                        'symbol': 'TJR'
                    },
                    'TJS': {
                        'displayName': 'Таджикский сомони',
                        'displayName-count-one': 'таджикский сомони',
                        'displayName-count-few': 'таджикских сомони',
                        'displayName-count-many': 'таджикских сомони',
                        'displayName-count-other': 'таджикского сомони',
                        'symbol': 'TJS'
                    },
                    'TMM': {
                        'displayName': 'Туркменский манат',
                        'symbol': 'TMM'
                    },
                    'TMT': {
                        'displayName': 'Туркменский новый манат',
                        'displayName-count-one': 'туркменский новый манат',
                        'displayName-count-few': 'туркменских новых маната',
                        'displayName-count-many': 'туркменских новых манатов',
                        'displayName-count-other': 'туркменского нового маната',
                        'symbol': 'ТМТ'
                    },
                    'TND': {
                        'displayName': 'Тунисский динар',
                        'displayName-count-one': 'тунисский динар',
                        'displayName-count-few': 'тунисских динара',
                        'displayName-count-many': 'тунисских динаров',
                        'displayName-count-other': 'тунисского динара',
                        'symbol': 'TND'
                    },
                    'TOP': {
                        'displayName': 'Тонганская паанга',
                        'displayName-count-one': 'тонганская паанга',
                        'displayName-count-few': 'тонганских паанги',
                        'displayName-count-many': 'тонганских паанг',
                        'displayName-count-other': 'тонганской паанги',
                        'symbol': 'TOP',
                        'symbol-alt-narrow': 'T$'
                    },
                    'TPE': {
                        'displayName': 'Тиморское эскудо',
                        'symbol': 'TPE'
                    },
                    'TRL': {
                        'displayName': 'Турецкая лира (1922–2005)',
                        'displayName-count-one': 'турецкая лира (1922–2005)',
                        'displayName-count-few': 'турецкие лиры (1922–2005)',
                        'displayName-count-many': 'турецких лир (1922–2005)',
                        'displayName-count-other': 'турецкой лиры (1922–2005)',
                        'symbol': 'TRL'
                    },
                    'TRY': {
                        'displayName': 'Турецкая лира',
                        'displayName-count-one': 'турецкая лира',
                        'displayName-count-few': 'турецкие лиры',
                        'displayName-count-many': 'турецких лир',
                        'displayName-count-other': 'турецкой лиры',
                        'symbol': 'TRY',
                        'symbol-alt-narrow': '₺',
                        'symbol-alt-variant': 'TL'
                    },
                    'TTD': {
                        'displayName': 'Доллар Тринидада и Тобаго',
                        'displayName-count-one': 'доллар Тринидада и Тобаго',
                        'displayName-count-few': 'доллара Тринидада и Тобаго',
                        'displayName-count-many': 'долларов Тринидада и Тобаго',
                        'displayName-count-other': 'доллара Тринидада и Тобаго',
                        'symbol': 'TTD',
                        'symbol-alt-narrow': '$'
                    },
                    'TWD': {
                        'displayName': 'Новый тайваньский доллар',
                        'displayName-count-one': 'новый тайваньский доллар',
                        'displayName-count-few': 'новых тайваньских доллара',
                        'displayName-count-many': 'новых тайваньских долларов',
                        'displayName-count-other': 'нового тайваньского доллара',
                        'symbol': 'NT$',
                        'symbol-alt-narrow': 'NT$'
                    },
                    'TZS': {
                        'displayName': 'Танзанийский шиллинг',
                        'displayName-count-one': 'танзанийский шиллинг',
                        'displayName-count-few': 'танзанийских шиллинга',
                        'displayName-count-many': 'танзанийских шиллингов',
                        'displayName-count-other': 'танзанийского шиллинга',
                        'symbol': 'TZS'
                    },
                    'UAH': {
                        'displayName': 'Украинская гривна',
                        'displayName-count-one': 'украинская гривна',
                        'displayName-count-few': 'украинские гривны',
                        'displayName-count-many': 'украинских гривен',
                        'displayName-count-other': 'украинской гривны',
                        'symbol': '₴',
                        'symbol-alt-narrow': '₴',
                        'symbol-alt-variant': 'грн.'
                    },
                    'UAK': {
                        'displayName': 'Карбованец (украинский)',
                        'symbol': 'UAK'
                    },
                    'UGS': {
                        'displayName': 'Старый угандийский шиллинг',
                        'symbol': 'UGS'
                    },
                    'UGX': {
                        'displayName': 'Угандийский шиллинг',
                        'displayName-count-one': 'угандийский шиллинг',
                        'displayName-count-few': 'угандийских шиллинга',
                        'displayName-count-many': 'угандийских шиллингов',
                        'displayName-count-other': 'угандийского шиллинга',
                        'symbol': 'UGX'
                    },
                    'USD': {
                        'displayName': 'Доллар США',
                        'displayName-count-one': 'доллар США',
                        'displayName-count-few': 'доллара США',
                        'displayName-count-many': 'долларов США',
                        'displayName-count-other': 'доллара США',
                        'symbol': '$',
                        'symbol-alt-narrow': '$'
                    },
                    'USN': {
                        'displayName': 'Доллар США следующего дня',
                        'symbol': 'USN'
                    },
                    'USS': {
                        'displayName': 'Доллар США текущего дня',
                        'symbol': 'USS'
                    },
                    'UYI': {
                        'displayName': 'Уругвайский песо (индекс инфляции)',
                        'symbol': 'UYI'
                    },
                    'UYP': {
                        'displayName': 'Уругвайское старое песо (1975–1993)',
                        'symbol': 'UYP'
                    },
                    'UYU': {
                        'displayName': 'Уругвайское песо',
                        'displayName-count-one': 'уругвайское песо',
                        'displayName-count-few': 'уругвайских песо',
                        'displayName-count-many': 'уругвайских песо',
                        'displayName-count-other': 'уругвайского песо',
                        'symbol': 'UYU',
                        'symbol-alt-narrow': '$'
                    },
                    'UZS': {
                        'displayName': 'Узбекский сум',
                        'displayName-count-one': 'узбекский сум',
                        'displayName-count-few': 'узбекских сума',
                        'displayName-count-many': 'узбекских сумов',
                        'displayName-count-other': 'узбекского сума',
                        'symbol': 'UZS'
                    },
                    'VEB': {
                        'displayName': 'Венесуэльский боливар (1871–2008)',
                        'symbol': 'VEB'
                    },
                    'VEF': {
                        'displayName': 'Венесуэльский боливар',
                        'displayName-count-one': 'венесуэльский боливар',
                        'displayName-count-few': 'венесуэльских боливара',
                        'displayName-count-many': 'венесуэльских боливара',
                        'displayName-count-other': 'венесуэльского боливара',
                        'symbol': 'VEF',
                        'symbol-alt-narrow': 'Bs'
                    },
                    'VND': {
                        'displayName': 'Вьетнамский донг',
                        'displayName-count-one': 'вьетнамский донг',
                        'displayName-count-few': 'вьетнамских донга',
                        'displayName-count-many': 'вьетнамских донгов',
                        'displayName-count-other': 'вьетнамского донга',
                        'symbol': '₫',
                        'symbol-alt-narrow': '₫'
                    },
                    'VNN': {
                        'displayName': 'VNN',
                        'symbol': 'VNN'
                    },
                    'VUV': {
                        'displayName': 'Вату Вануату',
                        'displayName-count-one': 'вату Вануату',
                        'displayName-count-few': 'вату Вануату',
                        'displayName-count-many': 'вату Вануату',
                        'displayName-count-other': 'вату Вануату',
                        'symbol': 'VUV'
                    },
                    'WST': {
                        'displayName': 'Самоанская тала',
                        'displayName-count-one': 'самоанская тала',
                        'displayName-count-few': 'самоанских талы',
                        'displayName-count-many': 'самоанских тал',
                        'displayName-count-other': 'самоанской талы',
                        'symbol': 'WST'
                    },
                    'XAF': {
                        'displayName': 'Франк КФА ВЕАС',
                        'displayName-count-one': 'франк КФА ВЕАС',
                        'displayName-count-few': 'франка КФА ВЕАС',
                        'displayName-count-many': 'франков КФА ВЕАС',
                        'displayName-count-other': 'франка КФА ВЕАС',
                        'symbol': 'FCFA'
                    },
                    'XAG': {
                        'displayName': 'Серебро',
                        'symbol': 'XAG'
                    },
                    'XAU': {
                        'displayName': 'Золото',
                        'symbol': 'XAU'
                    },
                    'XBA': {
                        'displayName': 'Европейская составная единица',
                        'symbol': 'XBA'
                    },
                    'XBB': {
                        'displayName': 'Европейская денежная единица',
                        'symbol': 'XBB'
                    },
                    'XBC': {
                        'displayName': 'расчетная единица европейского валютного соглашения (XBC)',
                        'symbol': 'XBC'
                    },
                    'XBD': {
                        'displayName': 'расчетная единица европейского валютного соглашения (XBD)',
                        'symbol': 'XBD'
                    },
                    'XCD': {
                        'displayName': 'Восточно-карибский доллар',
                        'displayName-count-one': 'восточно-карибский доллар',
                        'displayName-count-few': 'восточно-карибских доллара',
                        'displayName-count-many': 'восточно-карибских доллара',
                        'displayName-count-other': 'восточно-карибского доллара',
                        'symbol': 'EC$',
                        'symbol-alt-narrow': '$'
                    },
                    'XDR': {
                        'displayName': 'СДР (специальные права заимствования)',
                        'symbol': 'XDR'
                    },
                    'XEU': {
                        'displayName': 'ЭКЮ (единица европейской валюты)',
                        'symbol': 'XEU'
                    },
                    'XFO': {
                        'displayName': 'Французский золотой франк',
                        'symbol': 'XFO'
                    },
                    'XFU': {
                        'displayName': 'Французский UIC-франк',
                        'symbol': 'XFU'
                    },
                    'XOF': {
                        'displayName': 'Франк КФА ВСЕАО',
                        'displayName-count-one': 'франк КФА ВСЕА',
                        'displayName-count-few': 'франка КФА ВСЕА',
                        'displayName-count-many': 'франков КФА ВСЕА',
                        'displayName-count-other': 'франка КФА ВСЕА',
                        'symbol': 'CFA'
                    },
                    'XPD': {
                        'displayName': 'Палладий',
                        'symbol': 'XPD'
                    },
                    'XPF': {
                        'displayName': 'Французский тихоокеанский франк',
                        'displayName-count-one': 'французский тихоокеанский франк',
                        'displayName-count-few': 'французских тихоокеанских франка',
                        'displayName-count-many': 'французских тихоокеанских франков',
                        'displayName-count-other': 'французского тихоокеанского франка',
                        'symbol': 'CFPF'
                    },
                    'XPT': {
                        'displayName': 'Платина',
                        'symbol': 'XPT'
                    },
                    'XRE': {
                        'displayName': 'единица RINET-фондов',
                        'symbol': 'XRE'
                    },
                    'XSU': {
                        'displayName': 'XSU',
                        'symbol': 'XSU'
                    },
                    'XTS': {
                        'displayName': 'тестовый валютный код',
                        'symbol': 'XTS'
                    },
                    'XUA': {
                        'displayName': 'XUA',
                        'symbol': 'XUA'
                    },
                    'XXX': {
                        'displayName': 'Неизвестная или недействительная валюта',
                        'displayName-count-one': 'неизвестная или недействительная валюта',
                        'displayName-count-few': 'неизвестная или недействительная валюта',
                        'displayName-count-many': 'неизвестная или недействительная валюта',
                        'displayName-count-other': 'неизвестная или недействительная валюта',
                        'symbol': 'XXXX'
                    },
                    'YDD': {
                        'displayName': 'Йеменский динар',
                        'symbol': 'YDD'
                    },
                    'YER': {
                        'displayName': 'Йеменский риал',
                        'displayName-count-one': 'йеменский риал',
                        'displayName-count-few': 'йеменских риала',
                        'displayName-count-many': 'йеменских риалов',
                        'displayName-count-other': 'йеменского риала',
                        'symbol': 'YER'
                    },
                    'YUD': {
                        'displayName': 'Югославский твердый динар',
                        'symbol': 'YUD'
                    },
                    'YUM': {
                        'displayName': 'Югославский новый динар',
                        'symbol': 'YUM'
                    },
                    'YUN': {
                        'displayName': 'Югославский динар',
                        'symbol': 'YUN'
                    },
                    'YUR': {
                        'displayName': 'YUR',
                        'symbol': 'YUR'
                    },
                    'ZAL': {
                        'displayName': 'Южноафриканский рэнд (финансовый)',
                        'symbol': 'ZAL'
                    },
                    'ZAR': {
                        'displayName': 'Южноафриканский рэнд',
                        'displayName-count-one': 'южноафриканский рэнд',
                        'displayName-count-few': 'южноафриканских рэнда',
                        'displayName-count-many': 'южноафриканских рэндов',
                        'displayName-count-other': 'южноафриканского рэнда',
                        'symbol': 'ZAR',
                        'symbol-alt-narrow': 'R'
                    },
                    'ZMK': {
                        'displayName': 'Квача (замбийская) (1968–2012)',
                        'displayName-count-one': 'замбийская квача (1968–2012)',
                        'displayName-count-few': 'замбийские квачи (1968–2012)',
                        'displayName-count-many': 'замбийских квач (1968–2012)',
                        'displayName-count-other': 'замбийской квачи (1968–2012)',
                        'symbol': 'ZMK'
                    },
                    'ZMW': {
                        'displayName': 'Замбийская квача',
                        'displayName-count-one': 'замбийская квача',
                        'displayName-count-few': 'замбийские квачи',
                        'displayName-count-many': 'замбийских квач',
                        'displayName-count-other': 'замбийской квачи',
                        'symbol': 'ZMW',
                        'symbol-alt-narrow': 'ZK'
                    },
                    'ZRN': {
                        'displayName': 'Новый заир',
                        'symbol': 'ZRN'
                    },
                    'ZRZ': {
                        'displayName': 'Заир',
                        'symbol': 'ZRZ'
                    },
                    'ZWD': {
                        'displayName': 'Доллар Зимбабве',
                        'symbol': 'ZWD'
                    },
                    'ZWL': {
                        'displayName': 'Доллар Зимбабве (2009)',
                        'symbol': 'ZWL'
                    },
                    'ZWR': {
                        'displayName': 'ZWR',
                        'symbol': 'ZWR'
                    }
                }
            }
        }
    }
});
